
Figure - Bug #113754
【BSP】【EVT2】【上下电】【1/5】【User】重新上电，设备不能启动 
2022-11-07 15:34 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-11-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211050252

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211181450

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: Bootimage仓从SV1->Pre_Figure 切换时；��缺少SV1中的代码调整，导致MCU控制的POWER_KEY按下时间无法启动SOC��（通过手动按下POWER按键可以达到启动效果）；

Description

【前提条件】

1.烧录版本

2.设备启动

【操作步骤】

1.插拔DC

【实际结果】

1.屏幕不能启动

【期望结果】

1.屏幕能够启动

【测试HW】EVT2-VX1单机必现、 EVT2-VC1 不复现

【次数】5次

【恢复方式】重新刷机

板子：无编号

History

#1 - 2022-11-07 15:50 - CDTS_TEST 刘勇

- Assignee set to CD SYSTEM-胡兵

使用1105的Userdebug版本上电后可以重启

#2 - 2022-11-07 16:05 - CDTS_TEST 刘勇

当板子输入Userdebug后再次刷回1105-User，不复现

#3 - 2022-11-07 16:25 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CDTS_TEST 刘勇

Hi 

串口日志中无有效信息，最后一次进入dump，不确定是否为当前问题触发，如果该问题还能复现，还请尝试抓取tlog进一步分析
Thanks

#4 - 2022-11-07 20:17 - CDTS-TEST 周婷

- Status changed from New to NEED_INFO

请继续抓log进行复现

#5 - 2022-11-08 09:49 - CDTS_TEST 刘勇

- Subject changed from 【BSP】【EVT2】【上下电】【单机必现】【User】重新上电，设备不能启动  to 【BSP】【EVT2】【上下电】【1/5】【User】重新

上电，设备不能启动 

#6 - 2022-11-10 16:40 - CDTS_TEST 刘勇

使用1105的user不能再次复现

复测第一次

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0045.X101

【操作步骤】

1.烧录版本

2.设备启动

3.插拔DC

【实际结果】

3.屏幕能够启动

【次数】8次，未复现

#7 - 2022-11-16 17:39 - CDTS_TEST 王成

- Severity changed from Major to Critical

#8 - 2022-11-17 11:05 - CD TEST-方永红

- File shangxiadian.log added

- Assignee changed from CDTS_TEST 刘勇 to CD SYSTEM-胡兵

11.17

【测试设备】

EVT2-VC1

【测试版本】

FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0049.X101

FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0049.X101

【测试步骤】

1、刷机

2、重新上下电

【测试结果】

设备无法重启
【复现率】

必现

#9 - 2022-11-17 19:12 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD BSP-唐金泽

#10 - 2022-11-17 19:17 - CD BSP-唐金泽

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to Bootimage仓从SV1->Pre_Figure 切换时；

缺少SV1中的代码调整，导致MCU控制的POWER_KEY按下时间无法启动SOC

（通过手动按下POWER按键可以达到启动效果）；

11-16日，更换XBL代码仓，新引入问题。

修正 soc对power key的触发要求时间，可以是MCU的按下时间满足SOC启动要求

修改链接：

https://dev.thundercomm.com/gerrit/c/general/boot_images/+/163500

#11 - 2022-11-18 17:50 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211181450

11.18，验证通过

#12 - 2022-11-18 17:50 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

1105-unreboot.txt 228 KB 2022-11-07 CDTS_TEST 刘勇

shangxiadian.log 5.83 KB 2022-11-17 CD TEST-方永红
